<div
  class="main-sidebar main-sidebar-sticky side-menu ps ps--active-y"
  [ngClass]="{ closed: sidebarClosed$ | async }"
>
<!-- <a class="pointer sidebar-logo"><img src="assets/img/fitzyIcon.png" alt="fitzy" /></a> -->
<!-- <div class="d-flex searchBox">
  <input
    class="form-control"
    [(ngModel)]="searchTerm"
    placeholder="search"
    (keyup)="searchMenuFunc($event)"
  />
  <i class="fa fa-times" *ngIf="searchTerm" (click)="resetSearch()"></i>
</div> -->

  <div class="main-sidebar-body">
    <div class="container-fluid">
    <ul class="tree-field nav">
      <ng-container
        *ngTemplateOutlet="recursiveListTmpl; context: { list: sidebar }"
      ></ng-container>
    </ul>

    <ng-template #recursiveListTmpl let-list="list">
      <ng-container *ngFor="let item of list; let i = index">
        <!-- CHILDREN WITH-OUT PARENTS -->
        <li
          *ngIf="item.children && !item.children.length && !item.parentID"
          class="
                     nav-item
                     no-child
                     {{ activeMenu == item.link ? 'show active' : '' }}
                     "
        >
          <a class="nav-link" (click)="onChildClick(item)">
            <div>
              <i class="{{ item.icon }}"></i>
              <span class="sidemenu-label">{{ item.title }}</span>
            </div>
            <!-- <div class="right">
            <div class="badge badge-danger">12</div>
          </div> -->
          </a>
        </li>

        <!-- CHILDREN WITH PARENTS -->
        <li
          *ngIf="item.children && !item.children.length && item.parentID"
          class="
        {{ checkFamily(item.id) ? ' show active' : '' }}
        nav-sub-item"
        >
          <a
            class="nav-sub-link"
            [routerLink]="item.link"
            (click)="onChildClick(item)"
          >
            <div>
              <i class="{{ item.icon }}"></i>
              <span class="sidemenu-label">{{ item.title }}</span>
            </div>
            <!-- <div class="right">
            <div class="badge-text">123</div>
          </div> -->
          </a>
        </li>

        <!-- PARENTS -->
        <li
          *ngIf="item.children && item.children.length"
          class="
                nav-item
                has-child
                nav-sub-item
                {{ checkFamily(item.id) ? ' show active' : '' }}
                "
        >
          <!-- class="
        {{ item.parentID ? 'nav-sub-link with-sub1' : 'nav-link' }}
     {{ checkFamily(item.id) ? ' show active' : '' }}

        " -->
          <a
            (click)="onParentClick(item)"
            class="nav-sub-link with-sub1 nav-link"
          >
            <div>
              <i class="{{ item.icon }}"></i>
              <span class="sidemenu-label">{{ item.title }}</span>
            </div>
            <div class="right">
              <i class="fas fa-angle-down"></i>
            </div>
          </a>
          <ul class="nav-sub">
            <ng-container
              *ngTemplateOutlet="
                recursiveListTmpl;
                context: { list: item.children }
              "
            >
            </ng-container>
          </ul>
        </li>
      </ng-container>
    </ng-template>
  </div>
</div>
</div>
